Subject: Re: bug#52477: 27.1; .crx and .crx3 are zip files

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 19 Dec 2021 14:09:10 +0100

Eli Zaretskii <[email-masked]> writes:

> Me neither, but if someone wants to extend arc-mode.el to support
> those extension, that would be welcome, I think.  My point is that we
> cannot just add this file type before we implement those extensions.

Yup.  arc-mode hard-code a lot of knowledge about zip files, including
the "PK" header and stuff.  It's possible that that can just be replaced
with Cr24, but it seems rather unlikely that Google would create a new
zip file format if that was the only difference, I'd have thought?

(But I have no knowledge here.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no